#!/bin/ash
#usage trackTool.sh <tool(ping or arping)> <src ifname> <dst ip>

if [ ${1} == "arping" ]; then
    recvPkt=$(arping -I ${2} -c 1 -f ${3} |grep Received |awk '{print $2}')
elif [ ${1} == "ping" ]; then
    recvPkt=$(ping -I ${2} -c 1 -w 1 -f ${3} |grep received |awk '{print $4}')
else
    echo "Track script input tool is invalid" >>/var/log/messages
    exit 1
fi

if [ ${recvPkt} -eq 1 ]; then
    error=0
else
    error=1
fi
    
exit $error

